<?php
/*
Plugin Name: Emeralds today's dish
Plugin URI: http://emeraldraptor.com/tilfeldig-mat/ 
Description: A widget that displays a random generated dish in Norwegian
Version: 1.0
Author: Emerald Raptor
Author URI: http://emeraldraptor.com/
License: GPL2
*/

add_action("plugins_loaded", "initEmeraldFood");

function initEmeraldFood(){
  register_sidebar_widget(__('Dagens matrett'), 'displayEmeraldFood');
}

function displayEmeraldFood(){
  $emeraldFood = new EmeraldFood();
  $emeraldFood->display();
}

class EmeraldFood{
  var $kokt = array();
  var $scampi = array();
  var $gulrot = array();
  var $potet = array();
  var $saus = array();
  
  function EmeraldFood(){
    $this->populate();
  }
  
  function display(){
    $output .= "<h3 class='widget-title'>Dagens matrett:</h2>";
    $output .= "<p>";
    $output .= " ".$this->kokt[array_rand($this->kokt)];
    $output .= " ".$this->scampi[array_rand($this->scampi)];
    $output .= " med ".$this->gulrot[array_rand($this->gulrot)];
    $output .= ", ".$this->gulrot[array_rand($this->gulrot)];
    $output .= " og ".$this->gulrot[array_rand($this->gulrot)];
    $output .= " i ".$this->saus[array_rand($this->saus)];
    $output .= " med ".$this->potet[array_rand($this->potet)]." til.";
    $output .= "</p>";
    
    print $output; 
  }
  
  function populate(){                        
    $this->kokt = array("Kokt", "Stekt", "Bakt", "Gratinert", "Grillet", "Woket", "Marinert", "Suppe av", "Dampet", "Flambert", "Ustekt", "Boller av", "Røkt", "Pizza dekket med");
    $this->scampi = array("laks", "torsk", "kolje", "soyapølse", "soyafarse", "kyllinglår", "kyllingfilet", "steinbit", "egg", "scampi");  
    $this->gulrot = array("salat", "agurk", "purre", "eple", "vannmelon", "paprika", "mais", "blomkål", "broccoli", "erter", "squash", "aubergine", "stangselleri", "sellerirot", "nepe", "gulrot", "sjampingjong", "kantarell", "løk", "spinat", "hvitløk", "basilikum", "løpstikke", "gressløk", "pepperrot", "timian", "rosmarin", "bønneskudd", "alfalfaspirer", "sukkererter", "reker", "revet ost", "ananas", "asparges", "avocado", "bønner", "kinakål", "hodekål", "reddik", "cashewnøtter", "pinjekjerner", "kålrot");  
    $this->potet = array("kokte poteter", "stekte poteter", "bakte poteter", "potetmos", "ris", "pasta", "spaghetti", "pommes frites", "pommes noisettes", "fløtegratinerte poteter", "loff og smør", "nystekt brød", "tortillachips");
    $this->saus = array("soyasaus", "østerssaus", "tomatsaus", "kremet soppsaus", "hollandaisesaus", "bernaisesaus", "smør", "hvit saus", "peppersaus", "hvitløksaus", "rødvinsaus", "fiskesaus", "fløtesaus", "ostesaus", "grønnsaksbuljong");  
  }
}

?>
